:root {
	--fg: #f1f1f1;
	--bg: #121212;
	--shadow: #666666;
	--accent: #ffa12c;
	--disabled: #d0d0d0;
}

@media (prefers-color-scheme: light) {
	:root {
		--bg: #f1f1f1;
		--fg: #121212;
		--shadow: #3b3b3b;
		--disabled: #f121212;
	}
}


html { font-size: 100%; }
h1 { font-size: 2rem; }
h2 { font-size: 1.6rem; }
h3 { font-size: 1.2rem; }
small { font-size: 0.8rem; }
a { color: var(--accent); }
a:hover { background-color: var(--accent); color: var(--bg); }
time { color: var(--disabled); }



body {
	font-family: sans-serif;
	color: var(--fg);
	background-color: var(--bg);

	max-width: 1024px;
	margin: 40px auto;
	padding: 0 10px;
}

footer {
	position: fixed;
	left: 0;
	bottom: 0;
	width: 100%;
	text-align: center;
}

footer nav ul li {
	display: inline-block;
}

footer nav ul li a {
	background-color: var(--fg);
	color: var(--bg);
	padding: .1em .4em;
	margin: 0 .2em;
	text-decoration: none;
}

footer nav ul li a:hover {
	background-color: var(--bg);
	color: var(--fg);
}


main {
	padding: 0 1rem;
}

main div {
	display: flex;
}
main section {
	flex-grow: 1;
}
